/*---------------------------------------------------------------------------*/
/* checkhdr.c -- routines for reading and writing checkpoint and restart     */
/*                  files with suffix .ckp.  Also reads/writes global stats  */
/*                  files (.stt), if multiple processes are involved in a run*/
/*                  or set of runs.                                          */
/* NOTE:  If you make any changes to the file formats below, you MUST also   */
/* record the effect of those changes in the defines in file master.c, or    */
/* the inversion operator WILL NOT WORK and ALL GALOPPS operations will be   */
/* severely compromised.                                                     */
/*---------------------------------------------------------------------------*/


#include "stdafx.h"
#include "GAWind.h"
#include "GAWindDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "external.h"

extern int local_bestfit_popno;
extern int local_bestfit_chromsize;
extern int local_bestfit_numfields;

static char checkpt_stt_filename[13];
static char restart_stt_filename[13];
static char buffer[8];

static int All_Pops_Bestfit_Chromsize, All_Pops_Bestfit_Popno;
static int All_Pops_Bestfit_Numfields;

#define RETRIES 5

